// This file is part of Pushup Buddy.
// Copyright 2010 Fredrik Portstrom
//
// Pushup Buddy is free software: you can redistribute it and/or
// modify it under the terms of the GNU General Public License as
// published by the Free Software Foundation, either version 3 of the
// License, or (at your option) any later version.
//
// Pushup Buddy is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Pushup Buddy. If not, see
// <http://www.gnu.org/licenses/>.

package org.example.pushupbuddy;

import android.content.ContentValues;
import android.content.Context;
import android.database.Cursor;
import android.database.SQLException;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;

public class Database {
    SQLiteDatabase database;
    private SQLiteOpenHelper mHelper;

    public Database(Context context) {
	mHelper = new SQLiteOpenHelper(context, "data", null, 1) {
		@Override
		public void onCreate(SQLiteDatabase db) {
		    db.execSQL("CREATE TABLE workouts (_id INTEGER PRIMARY KEY AUTOINCREMENT, created_at KEY, pushup_count, set_count, time_elapsed, data)");
		}

		@Override
		public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
		}
	    };
	database = mHelper.getWritableDatabase();
    }

    public void close() {
	mHelper.close();
    }

    public void beginTransaction() {
	database.beginTransaction();
    }

    public void endTransaction() {
	database.endTransaction();
    }

    public void setTransactionSuccessful() {
	database.setTransactionSuccessful();
    }

    public void exec(String query) {
	database.execSQL(query);
    }

    public void exec(String query, Object[] values) {
	database.execSQL(query, values);
    }

    public Cursor query(String query) {
	return database.rawQuery(query, null);
    }
}
