// This file is part of Pushup Buddy.
// Copyright 2010 Fredrik Portstrom
//
// Pushup Buddy is free software: you can redistribute it and/or
// modify it under the terms of the GNU General Public License as
// published by the Free Software Foundation, either version 3 of the
// License, or (at your option) any later version.
//
// Pushup Buddy is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Pushup Buddy. If not, see
// <http://www.gnu.org/licenses/>.

package org.example.pushupbuddy;

import android.content.Context;
import android.preference.EditTextPreference;
import android.text.InputType;
import android.util.AttributeSet;

public class DurationPreference extends EditTextPreference {
    public DurationPreference(Context context, AttributeSet attrs) {
	super(context, attrs);
	getEditText().setInputType(InputType.TYPE_CLASS_NUMBER | InputType.TYPE_NUMBER_FLAG_DECIMAL);
    }

    @Override
    protected String getPersistedString(String defaultReturnValue) {
	int value = getPersistedInt(0);
	return value % 1000 > 0 ? String.format(value % 10 > 0 ? "%.3f" : value % 100 > 0 ? "%.2f" : "%.1f", value / 1000.f) : "" + value / 1000;
    }

    @Override
    protected boolean persistString(String value) {
	return persistInt((int)(1000 * Float.parseFloat(value) + .5f));
    }
}
